package com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.zlib;

public interface Checksum {

    void update(byte[] buf, int index, int len);

    void reset();

    void reset(long init);

    long getValue();

    Checksum copy();
}
